Name:           angband
Version:        4.0.5
Release:        %mkrel 1
Summary:        Single-player dungeon exploration game in the universe of JRR Tolkien
Group:          Games/Adventure
License:        GPLv2
URL:            http://rephial.org
# Archive repacked from http://rephial.org/downloads/ to remove nonfree content
# The CC-BY-NC-SA sounds are removed since they don't seem to work with non-tainted SDL_mixer (MP3)
# The Shockbolt tileset is packaged separately in a nonfree package (cf. Patch0)
# rm -rf lib/tiles/shockbolt/ lib/sounds/
Source0:        %{name}-%{version}-libre.tar.xz
Patch0:         angband-4.0.3-mga-remove-nonfree-data.patch
Patch1:         angband-3.5.0-mga-respect-optflags.patch
Patch2:         angband-4.0.4-mga-desktop-icon.patch

BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  python-docutils
Requires:       %{name}-data >= %{version}-%{release}
Recommends:     %{name}-data-shockbolt >= 4.0.3

%description
Angband is a free, single-player dungeon exploration game.
You play an adventurer: seeking riches, fighting monsters, and
preparing for a final battle with Morgoth, the Lord of Darkness.

%package        data
Summary:        Free/libre data files for Angband
License:        CC-BY-SA 3.0 and GPLv2 and Public Domain
BuildArch:      noarch

%description    data
This package contains free/libre data files for Angband.

The Shockbolt nonfree tileset is packaged in %{name}-data-shockbolt.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x --bindir=%{_gamesbindir} \
               --enable-curses \
               --enable-x11 \
               --enable-sdl \
               --disable-sdl-mixer
%make_build

%install
%make_install

install -d %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/%{name}/icons/*.desktop %{buildroot}%{_datadir}/applications/

for size in 16 32 128 256 512; do
  install -D -m644 %{buildroot}%{_datadir}/%{name}/icons/att-${size}.png \
      %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%files
%doc changes.txt copying.txt readme.txt thanks.txt doc/manual.html
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%config %{_sysconfdir}/%{name}/

%files          data
%{_datadir}/%{name}/


%changelog
* Sat Apr 23 2016 akien <akien> 4.0.5-1.mga6
+ Revision: 1005686
- Version 4.0.5

* Sat Jan 09 2016 akien <akien> 4.0.4-2.mga6
+ Revision: 920857
- Fix path to desktop icon

* Sun Jan 03 2016 akien <akien> 4.0.4-1.mga6
+ Revision: 919121
- Version 4.0.4

* Sun Nov 15 2015 akien <akien> 4.0.3-2.mga6
+ Revision: 903372
- Update required version for recommended nonfree tileset
- Version 4.0.3

* Tue Jan 27 2015 akien <akien> 3.5.1-1.mga5
+ Revision: 812480
- Version 3.5.1

* Fri Dec 05 2014 akien <akien> 3.5.0-1.mga5
+ Revision: 801674
- imported package angband

